Bug 181365 - updateDiskless should handle required program unresolved library dependencies and script / link replacement properly
updateDiskless should handle required program unresolved library dependencies...
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabio Olive Leite
Depends On:
  Show dependency treegraph
Reported: 2006-02-13 13:30 EST by Jason Vas Dias
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-17 06:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-02-13 13:30:06 EST
Description of problem:

-------- Original Message --------
Subject:        system-config-netboot error
Date:   Wed, 01 Feb 2006 18:14:51 -0800
From:   f1 <f1@micromemory.com>
Reply-To:       f1@micromemory.com
To:     dwalsh@redhat.com

I'm trying to create a diskless server.
using the rsync command line I copied the the files to /tftpboot/root.

All goes well until I click apply - error:

/bin/cp: cannot stat `/tmp/tftpboot/root/not': No such file or directory
Copying required libraries to initrd failed.

I'm not sure what to do about this.

How reproducible:

Steps to Reproduce:
Create a client root where one of the binaries required for the initrd.img
has missing library dependencies or has been replaced by a script - ie one
of :
/sbin/busybox.anaconda /sbin/insmod /sbin/modprobe /sbin/rmmod /sbin/dhclient
/bin/bash /bin/mount /sbin/route /sbin/ip /usr/bin/expr /sbin/lspci
/sbin/ifconfig /sbin/consoletype /sbin/pivot_root /bin/hostname /bin/domainname
Actual results:
updateDiskless terminates with cryptic error message:
"cannot stat `/tmp/tftpboot/root/not': No such file or directory
 Copying required libraries to initrd failed. 

Expected results:
updateDiskless should report details of missing libraries, and not attempt
to run ldd on programs that are not binary executables.
Comment 1 Jason Vas Dias 2006-02-13 13:31:38 EST
Unresolved library dependencies issue fixed with system-config-netboot-0.1.37-1 .
Required program replacement by script or link issue fixed with s-c-nb-0.1.38-1 .
Comment 2 Fedora Update System 2006-03-01 17:01:13 EST
From User-Agent: XML-RPC

system-config-netboot-0.1.38-2_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.